using System.Text.Json.Serialization;

namespace JSMR.Infrastructure.Integrations.DLSite.Models;

public class ProductReviewCollection
{
    [JsonPropertyName("is_success")]
    public bool IsSuccess { get; set; }

    [JsonPropertyName("error_msg")]
    public string? ErrorMessage { get; set; }

    [JsonPropertyName("product_id")]
    public string? ProductId { get; set; }

    [JsonPropertyName("product_name")]
    public string? ProductName { get; set; }

    [JsonPropertyName("is_reserve")]
    public bool IsReserve { get; set; }

    [JsonPropertyName("review_deny")]
    public bool ReviewDeny { get; set; }

    [JsonPropertyName("mix_pickup")]
    public bool MixPickup { get; set; }

    [JsonPropertyName("order")]
    public string? Order { get; set; }

    [JsonPropertyName("limit")]
    public string? Limit { get; set; }

    [JsonPropertyName("page")]
    public int Page { get; set; }

    [JsonPropertyName("review_list")]
    public ProductReview[] ReviewList { get; set; } = [];

    [JsonPropertyName("count")]
    public string? Count { get; set; }

    [JsonPropertyName("reviewer_genre_list")]
    public ProductReviewerGenre[] ReviewerGenreList { get; set; } = [];
}